Upload a file for bulk import
POST
/portfolio/bulk-importAccepts an XLSX spreadsheet, stores it on S3, and dispatches an asynchronous portfolio import job. Returns immediately with a 202 status and a job_audit_guid that can be used to poll for import progress.
Request body
application/json, required
{
"file": "string"
}Responses
200
202Examples
curl -X POST https://your-org-domain/kong/core/api/v2/portfolio/bulk-import\
-H "Authorization: Bearer $HELM_API_KEY"\
-H "Content-Type: application/json"\
-d '{
"file": "string"
}'